Upgrade from 1.2 to 2.1.2: Internal error

Added by Jan Stoetzer about 8 years ago

Hello,

after a server crash i had to reinstall redmine and decided to upgrade to 2.1.2. I had an actual backup of the redmine-database, so it should work without problems.

  1. I installed a fresh FreeBSD 9.0.
  2. The redmine installation was mostly done without BSD-Ports, only Ruby, RubyGem und RubyIconv-Bindings were installed out of the BSD-Ports. This went more or less smoothly, there were some issues with Ruby1.9.3 and iconv, so that i fell back to using Ruby1.8.7
  3. After following the steps to setup database, rake migrate etc. Redmine 2.1.2 worked. There aren't any plugins installed yet.
  4. I restored the database from my backup.

The result is not as expected. It seems, that everything "project-related" does not work and brings up this error:

Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

Main Page, Administration, Login/logout, My page, My account, Project list -> work
Project Issue list, Single Issue, News, Wiki etc. -> does not work

There aren't any newer entries in the production.log after the rake:migrate.

I have asked google and found some issues, but mostly related to plugins, which doesn't help any further.

The description is vague, I know :)
Has anybody experience with this or an idea what to do ?

Kind regards, Jan

Output from script/about:

Environment:
  Redmine version                          2.1.2.stable
  Ruby version                             1.8.7 (amd64-freebsd9)
  Rails version                            3.2.8
  Environment                              production
  Database adapter                         MySQL
Redmine plugins:
  no plugin installed